from common import dataclass, field


@dataclass
class Object:    
    id: str
    name: str 
    sprite_name: str
    sprite_state: int = 0

@dataclass
class Terrain(Object):
    pass

@dataclass
class Creature(Object):
    pass
    #actions
    #tasks
    #items

@dataclass
class Item(Object):
    pass

@dataclass
class Building(Object):
    pass